// to get this function to work:
//
// in init.sqs, preprocess this function as so:
// CSL_GetRandomInteger = preprocessFile "CSL_GetRandomInteger.sqf"
//
// then use it like so:
// myvariable = [lowerboundry, upperboundry] call CSL_GetRandomInteger
//
// example pick a random number between 1 and 10
// _x = [1, 10] call CSL_GetRandomInteger
//
// example pick a random number between 50 and 100
// _x = [50, 100] call CSL_GetRandomInteger
//
// this function is forgiving in that if you enter the numbers basckwards, it'll still
// pick a number between lowest number and highest number
//
// so,
// _x = [1, 10] call CSL_GetRandomInteger
// is the same as
// _x = [10, 1] call CSL_GetRandomInteger
// even though it's not preferable, it will work


private ["_lowerBound", "_upperBound", "_temp", "_numberToReturn", "_output"];

_lowerBound = _this select 0;
_upperBound = _this select 1;
_numberToReturn = 0;

if (_lowerBound > _upperBound) then
{
	_temp = _upperBound;
	_upperBound = _lowerBound;
	_lowerBound = _temp;
};

if (_lowerBound < 0) then
{
	_lowerBound = _lowerBound - 1;
};

if (_upperBound < 0) then
{
	_upperBound = _upperBound - 1;
};

_temp = _upperBound - _lowerBound;
_numberToReturn = (random _temp) + _lowerBound;
_numberToReturn = (_numberToReturn + 0.5) - ((_numberToReturn + 0.5) mod 1);

if (_lowerBound == _upperBound) then
{
	if (_lowerBound >= 0) then
	{
		_myNum = _lowerBound;
	}
	else
	{
		_myNum = _lowerBound + 1;
	};
};

_output = _numberToReturn;
_output
