// This function creates two buslines on the north of Sahrani.

// Declaration of private variables.
private
["_trg","_marker","_wp","_CV01","_CV01P","_CV03","_CV03P","_numberOfTypes","_civillianTypes","_maxWaiting","_minWaiting","_midWaiting"];

// The minimum time the bus will wait at a busstop.
_minWaiting = 10;
// The maximum time the bus will wait at a busstop.
_maxWaiting = 14;

if (_maxWaiting < _minWaiting+1) then {_maxWaiting = _minWaiting+1;};
_midWaiting = _minWaiting+((_maxWaiting-_minWaiting)/2);

activateAddons["cacharacter","CAWheeled"];

// Civilian types that will be the driver and randomly fill the bus with up to six passengers.
_civillianTypes =
[
"Civilian",
"Civilian2",
"Civilian3",
"Civilian4",
"Civilian5",
"Civilian6",
"Civilian7",
"Civilian8",
"Civilian9",
"Civilian10",
"Civilian11",
"Civilian12",
"Civilian13",
"Civilian14",
"Civilian15",
"Civilian16",
"Civilian17",
"Civilian18",
"Civilian19",
"Civilian20",
"Civilian21"
];
// If you change the civilian types, don't forget to adjust the _numberOfTypes:
_numberOfTypes = 21;

// Creation of a gamelogic vehicle necessary for the horn to work.
bushorn = "logic" createVehicleLocal [0,0,0];

// Busline 1 (CV01 or civilian Vehicle 01) run from Everon via Bagango to Eponia and vice versa.
_CV01 = createGroup Civilian;
_CV01P = createGroup Civilian;
CV01_1 =  "Bus_city" createVehicle [16624.435547,9417.478516,12.105248];
CV01_1 setDir 190.000000;
CV01_1 lock false;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV01,"CV01_2 = this; this moveInDriver CV01_1; this allowFleeing 0",1.0,"colonel"];
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV01P,"CV01_3 = this; this moveInCargo [CV01_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV01P,"CV01_4 = this; this moveInCargo [CV01_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV01P,"CV01_5 = this; this moveInCargo [CV01_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV01P,"CV01_6 = this; this moveInCargo [CV01_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV01P,"CV01_7 = this; this moveInCargo [CV01_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV01P,"CV01_8 = this; this moveInCargo [CV01_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};

// Part necessary to show information about the busline -on the map- at any busstop.
publicVariable "C1Route";
C1Route = "Bus Everon-Bagango-Eponia vv";

_marker = createMarkerLocal ["CV01",getPos CV01_1];
"CV01" setMarkerColorLocal "ColorBlue";
"CV01" setMarkerTypeLocal "Dot";
"CV01" setMarkerSizeLocal [0,0];
_trg = createTrigger["EmptyDetector",[16469.761719, 9296.402344, 11.970000]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[15572.099609, 8824.228516, 29.807102]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14483.285156, 8505.620117, 25.590368]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13509.795898, 8903.333984, 20.081972]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13693.306641, 9300.987305, 21.316246]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13828.052734, 9475.044922, 27.175953]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13983.350586, 9836.752930, 26.501038]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14429.070313,10857.098633, 41.521885]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14601.365234,11901.899414, 55.157223]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14443.924805,12181.186523, 55.187439]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14318.074219,12377.081055, 39.959999]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14101.846680,12512.871094, 39.959999]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13905.601563,12805.664063, 38.551327]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12563.399414,13425.917969,177.741379]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12498.985352,15048.527344,180.000000]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12489.565430,14969.802734,180.000000]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12548.651367,13443.064453,179.320511]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13897.160156,12774.204102, 37.901756]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14033.184570,12531.369141, 39.959999]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14305.740234,12364.980469, 40.075020]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14439.679688,12165.347656, 55.059853]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14592.419922,11883.798828, 55.693314]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14391.546875,10811.267578, 39.653172]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13960.311523, 9817.354492, 27.643772]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13809.810547, 9468.734375, 27.095390]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13660.126953, 9236.129883, 21.375000]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13465.267578, 8942.022461, 20.081116]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14408.524414, 8522.724609, 25.975071]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[15614.565430, 8811.980469, 29.405722]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[16530.234375, 9339.467773, 12.106197]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this", """CV01"" setMarkerPosLocal getPos CV01_1; ""CV01"" setMarkerSizeLocal [0.5,0.5]; ""CV01"" setMarkerTextLocal format[""%1"",C1Route];","""CV01"" setMarkerSizeLocal [0,0]; ""CV01"" setMarkerTextLocal """";"];

// Definition of waypoints.
_wp = _CV01 addWaypoint [[16475.509766,9301.924805,11.900699],0];
[_CV01,1] setWaypointBehaviour "CARELESS";
[_CV01,1] setWaypointCombatmode "BLUE";
[_CV01,1] setWaypointSpeed "NORMAL";
[_CV01,1] setWaypointStatements ["true",  "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01, 1] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
_wp = _CV01 addWaypoint [[15576.644531, 8822.397461, 29.824238],0];
[_CV01, 2] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01, 2] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,2] setWaypointSpeed "NORMAL";} else {[_CV01,2] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[14484.309570, 8504.043945, 25.522100],0];
[_CV01, 3] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01, 3] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,3] setWaypointSpeed "NORMAL";} else {[_CV01,3] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[13513.303711, 8899.848633, 19.980000],0];
[_CV01, 4] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01, 4] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV01, 4] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13424.857422, 8996.629883, 19.628511],0];
[_CV01, 5] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
[_CV01, 5] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13501.709961, 9060.587891, 19.976400],0];
[_CV01, 6] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
[_CV01, 6] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13574.990234, 8984.495117, 19.980000],0];
[_CV01, 7] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
[_CV01, 7] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13690.958008, 9301.818359, 21.318504],0];
[_CV01, 8] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01, 8] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,8] setWaypointSpeed "NORMAL";} else {[_CV01,8] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[13825.605469, 9476.673828, 27.162544],0];
[_CV01, 9] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01, 9] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 9) then {[_CV01,1] setWaypointSpeed "NORMAL";} else {[_CV01,9] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[13980.858398, 9835.526367, 26.626850],0];
[_CV01,10] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,10] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,10] setWaypointSpeed "NORMAL";} else {[_CV01,10] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[14427.618164,10858.363281, 41.547375],0];
[_CV01,11] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,11] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,11] setWaypointSpeed "NORMAL";} else {[_CV01,11] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[14598.953125,11898.187500, 55.234207],0];
[_CV01,12] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,12] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,12] setWaypointSpeed "NORMAL";} else {[_CV01,12] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[14439.582031,12177.387695, 55.200920],0];
[_CV01,13] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,13] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,13] setWaypointSpeed "NORMAL";} else {[_CV01,13] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[14313.595703,12373.425781, 39.959999],0];
[_CV01,14] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,14] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV01,14] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[14312.125000,12544.773438, 39.960247],0];
[_CV01,15] setWaypointSpeed "LIMITED";
[_CV01,15] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
_wp = _CV01 addWaypoint [[14123.779297,12545.383789, 39.960247],0];
[_CV01,16] setWaypointSpeed "LIMITED";
[_CV01,16] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
_wp = _CV01 addWaypoint [[14123.801758,12508.150391, 39.960247],0];
[_CV01,17] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
[_CV01,17] setWaypointSpeed "LIMITED";
_wp = _CV01 addWaypoint [[14112.210938,12511.126953, 39.959999],0];
[_CV01,18] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,18] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV01,18] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13902.475586,12801.267578, 38.494839],0];
[_CV01,19] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,19] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV01,19] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[12561.985352,13406.174805,178.162231],0];
[_CV01,20] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
if (random(10) < 8) then {[_CV01,20] setWaypointSpeed "NORMAL";} else {[_CV01,20] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[12558.051758,13425.152344,178.062134],0];
[_CV01,21] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,21] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,21] setWaypointSpeed "NORMAL";} else {[_CV01,21] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[12495.853516,15048.632813,180.000000],0];
[_CV01,22] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,22] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV01,22] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[12471.124023,15067.414063,180.000000],0];
[_CV01,23] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; C1Route = ""Bus Eponia-Bagango-Everon vv"";"];
[_CV01,23] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[12492.470703,14977.552734,180.000000],0];
[_CV01,24] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0]; C1Route = ""Bus Eponia-Bagango-Everon vv"";"];
[_CV01,24] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,24] setWaypointSpeed "NORMAL";} else {[_CV01,24] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[12546.528320,13451.603516,179.618042],0];
[_CV01,25] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,25] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,25] setWaypointSpeed "NORMAL";} else {[_CV01,25] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[12561.302734,13406.029297,178.192444],0];
[_CV01,26] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
[_CV01,26] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13898.368164,12781.308594, 38.015331],0];
[_CV01,27] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,27] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,27] setWaypointSpeed "NORMAL";} else {[_CV01,27] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[14035.187500,12533.728516, 39.959999],0];
[_CV01,28] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,28] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV01,28] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[14124.537109,12508.138672, 39.960247],0];
[_CV01,29] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
[_CV01,29] setWaypointSpeed "LIMITED";
_wp = _CV01 addWaypoint [[14123.548828,12469.955078, 39.960247],0];
[_CV01,30] setWaypointSpeed "LIMITED";
[_CV01,30] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
_wp = _CV01 addWaypoint [[14311.664063,12485.571289, 39.959999],0];
[_CV01,31] setWaypointSpeed "LIMITED";
[_CV01,31] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
_wp = _CV01 addWaypoint [[14308.773438,12365.761719, 39.959999],0];
[_CV01,32] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,32] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV01,32] setWaypointSpeed "LIMITED";
_wp = _CV01 addWaypoint [[14436.928711,12173.017578, 55.230663],0];
[_CV01,33] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,33] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,33] setWaypointSpeed "NORMAL";} else {[_CV01,33] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[14594.965820,11885.346680, 55.686657],0];
[_CV01,34] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,34] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,34] setWaypointSpeed "NORMAL";} else {[_CV01,34] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[14393.933594,10811.693359, 39.721462],0];
[_CV01,35] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,35] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,35] setWaypointSpeed "NORMAL";} else {[_CV01,35] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[13963.819336, 9819.316406, 27.471155],0];
[_CV01,36] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,36] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,36] setWaypointSpeed "NORMAL";} else {[_CV01,36] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[13817.189453, 9474.537109, 27.202044],0];
[_CV01,37] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,37] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,37] setWaypointSpeed "NORMAL";} else {[_CV01,37] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[13665.267578, 9244.662109, 21.375000],0];
[_CV01,38] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,38] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV01,38] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13577.521484, 8983.762695, 19.980000],0];
[_CV01,39] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
[_CV01,39] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13500.942383, 9059.965820, 19.978127],0];
[_CV01,40] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
[_CV01,40] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13424.746094, 8995.750977, 19.608965],0];
[_CV01,41] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
[_CV01,41] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13460.796875, 8949.002930, 19.980000],0];
[_CV01,42] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,42] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV01,42] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[13521.017578, 8891.352539, 19.980000],0];
[_CV01,43] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0"];
if (random(10) < 8) then {[_CV01,43] setWaypointSpeed "NORMAL";} else {[_CV01,43] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[14401.182617, 8528.174805, 25.720793],0];
[_CV01,44] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,44] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,44] setWaypointSpeed "NORMAL";} else {[_CV01,44] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[15612.030273, 8817.015625, 29.309698],0];
[_CV01,45] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,45] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,45] setWaypointSpeed "NORMAL";} else {[_CV01,45] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[16522.343750, 9337.136719, 12.112610],0];
[_CV01,46] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; bushorn action [""useWeapon"",CV01_1,driver(CV01_1),0];"];
[_CV01,46] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV01,46] setWaypointSpeed "NORMAL";} else {[_CV01,46] setWaypointSpeed "FULL";};
_wp = _CV01 addWaypoint [[16577.113281, 9363.634766, 12.283318],0];
[_CV01,47] setWaypointStatements ["true", "CV01_1 setFuel 1.0; CV01_1 setDammage 0.0; C1Route = ""Bus Everon-Bagango-Eponia vv"";"];
[_CV01,47] setWaypointSpeed "NORMAL";
_wp = _CV01 addWaypoint [[16476.041016, 9302.735352, 11.871519],0];
[_CV01,48] setWaypointSpeed "NORMAL";
[_CV01,48] setWaypointType "CYCLE";
[_CV01,48] setWaypointStatements ["true", "C1Route = ""Bus Everon-Bagango-Eponia vv"";"];

// Busline 3 (CV03 or civilian Vehicle 03) runs from Pita via Bagango to Hunapu and vice versa.
_CV03 = createGroup Civilian;
_CV03P = createGroup Civilian;
CV03_1 = "Bus_city" createVehicle [18910.427734,13885.641602,27.322910];
CV03_1 setDir 35.000000;
CV03_1 lock false;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV03,"CV03_2 = this; this moveInDriver CV03_1; this allowFleeing 0",0.9,"major"];
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV03P,"CV03_3 = this; this moveInCargo [CV03_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV03P,"CV03_4 = this; this moveInCargo [CV03_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV03P,"CV03_5 = this; this moveInCargo [CV03_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV03P,"CV03_6 = this; this moveInCargo [CV03_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV03P,"CV03_7 = this; this moveInCargo [CV03_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV03P,"CV03_8 = this; this moveInCargo [CV03_1,ceil(random(13))]; this allowFleeing 0",0.2,"corporal"];};

// Part necessary to show information about the busline -on the map- at any busstop.
publicVariable "C3Route";
C3Route = "Bus Pita-Bagango-Hunapu vv";

_marker = createMarkerLocal ["CV03",getPos CV03_1];
"CV03" setMarkerColorLocal "ColorBlue";
"CV03" setMarkerTypeLocal "Dot";
"CV03" setMarkerSizeLocal [0,0];
_trg = createTrigger["EmptyDetector",[18926.453125,13897.781250, 25.237806]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[18932.488281,13919.070313, 24.899059]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[17199.699219,14317.998047, 13.525037]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[17134.253906,14328.227539, 13.436796]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[16977.726563,14119.541992, 13.317363]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[16929.619141,14084.128906, 13.932438]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[15381.583984,13712.755859, 22.830904]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[15353.570313,13657.455078, 24.919634]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14591.638672,11883.320313, 55.693272]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14601.787109,11900.849609, 55.227795]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14439.779297,12165.245117, 55.057892]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14444.005859,12181.336914, 55.189087]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14305.536133,12364.894531, 40.075272]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[14318.283203,12377.034180, 39.959999]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13308.641602,11365.429688, 26.014864]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[13169.416016,11316.259766, 25.965000]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10984.266602,12598.846680, 25.525946]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10985.692383,12619.939453, 25.760895]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9767.914063,14387.831055, 45.374332]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9776.665039,14395.187500, 46.034096]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 7803.594238,15803.530273, 26.313181]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 7748.591309,15813.128906, 23.868723]]; _trg setTriggerArea[2,2,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV03"" setMarkerPosLocal getPos CV03_1; ""CV03"" setMarkerSizeLocal [0.5,0.5]; ""CV03"" setMarkerTextLocal format[""%1"",C3Route];","""CV03"" setMarkerSizeLocal [0,0]; ""CV03"" setMarkerTextLocal """";"];

// Definition of waypoints.
_wp = _CV03 addWaypoint [[18924.521484,13898.431641,25.253666],0];
[_CV03,1] setWaypointBehaviour "CARELESS";
[_CV03,1] setWaypointCombatmode "BLUE";
[_CV03,1] setWaypointSpeed "NORMAL";
[_CV03,1] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[17143.023438,14326.493164, 13.458636],0];
[_CV03, 2] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV03,2] setWaypointSpeed "NORMAL";} else {[_CV03,2] setWaypointSpeed "FULL";};
[_CV03, 2] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[16937.761719,14087.692383, 13.781322],0];
[_CV03, 3] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV03,3] setWaypointSpeed "NORMAL";} else {[_CV03,3] setWaypointSpeed "FULL";};
[_CV03, 3] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[15357.403320,13665.956055, 24.972240],0];
[_CV03, 4] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV03,4] setWaypointSpeed "NORMAL";} else {[_CV03,4] setWaypointSpeed "FULL";};
[_CV03, 4] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[14602.755859,11861.960938, 55.811367],0];
[_CV03, 5] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0"];
if (random(10) < 8) then {[_CV03,5] setWaypointSpeed "NORMAL";} else {[_CV03,5] setWaypointSpeed "FULL";};
_wp = _CV03 addWaypoint [[14601.251953,11891.557617, 55.416943],0];
[_CV03, 6] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV03,6] setWaypointSpeed "NORMAL";} else {[_CV03,6] setWaypointSpeed "FULL";};
[_CV03, 6] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[14442.708984,12176.960938, 55.113998],0];
[_CV03, 7] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV03,7] setWaypointSpeed "NORMAL";} else {[_CV03,7] setWaypointSpeed "FULL";};
[_CV03, 7] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[14313.765625,12370.566406, 39.959999],0];
[_CV03, 8] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03, 8] setWaypointSpeed "NORMAL";
[_CV03, 8] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[14311.896484,12470.613281, 39.960247],0];
[_CV03, 9] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0"];
[_CV03, 9] setWaypointSpeed "LIMITED";
_wp = _CV03 addWaypoint [[14124.648438,12470.609375, 39.960247],0];
[_CV03,10] setWaypointSpeed "LIMITED";
[_CV03,10] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0"];
_wp = _CV03 addWaypoint [[13178.627930,11316.510742, 25.965000],0];
[_CV03,11] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,11] setWaypointSpeed "NORMAL";
[_CV03,11] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[13001.668945,11277.357422, 22.026693],0];
[_CV03,12] setWaypointSpeed "NORMAL";
[_CV03,12] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0"];
_wp = _CV03 addWaypoint [[10991.402344,12605.981445, 25.572180],0];
if (random(10) < 8) then {[_CV03,13] setWaypointSpeed "NORMAL";} else {[_CV03,13] setWaypointSpeed "FULL";};
[_CV03,13] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,13] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[ 9775.711914,14386.701172, 45.831837],0];
[_CV03,14] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV03,14] setWaypointSpeed "NORMAL";} else {[_CV03,14] setWaypointSpeed "FULL";};
[_CV03,14] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[ 7750.378418,15810.463867, 23.802555],0];
[_CV03,15] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV03,15] setWaypointSpeed "NORMAL";} else {[_CV03,15] setWaypointSpeed "FULL";};
[_CV03,15] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[ 7736.149902,15809.972656, 23.395073],0];
[_CV03,16] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0"];
[_CV03,16] setWaypointSpeed "NORMAL";
_wp = _CV03 addWaypoint [[ 7602.978516,15672.348633, 41.300423],0];
[_CV03,17] setWaypointSpeed "NORMAL";
[_CV03,17] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; C3Route = ""Hunapu-Bagango-Pita vv"";"];
_wp = _CV03 addWaypoint [[ 7598.672852,15682.146484, 41.391857],0];
[_CV03,18] setWaypointSpeed "NORMAL";
[_CV03,18] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; C3Route = ""Hunapu-Bagango-Pita vv"";"];
_wp = _CV03 addWaypoint [[ 7608.472168,15673.090820, 41.329174],0];
[_CV03,19] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; C3Route = ""Hunapu-Bagango-Pita vv"";"];
_wp = _CV03 addWaypoint [[ 7736.135254,15807.733398, 23.263506],0];
[_CV03,20] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; C3Route = ""Hunapu-Bagango-Pita vv"";"];
_wp = _CV03 addWaypoint [[ 7799.230469,15806.436523, 26.073238],0];
[_CV03,21] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,21] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[ 9770.697266,14388.347656, 45.516033],0];
if (random(10) < 8) then {[_CV03,22] setWaypointSpeed "NORMAL";} else {[_CV03,22] setWaypointSpeed "FULL";};
[_CV03,22] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,22] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[10987.623047,12601.313477, 25.695475],0];
[_CV03,23] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV03,23] setWaypointSpeed "NORMAL";} else {[_CV03,23] setWaypointSpeed "FULL";};
[_CV03,23] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[13001.588867,11278.122070, 22.013803],0];
if (random(10) < 8) then {[_CV03,24] setWaypointSpeed "NORMAL";} else {[_CV03,24] setWaypointSpeed "FULL";};
[_CV03,24] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0"];
_wp = _CV03 addWaypoint [[13304.702148,11366.805664, 25.965000],0];
[_CV03,25] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
if (random(10) < 8) then {[_CV03,25] setWaypointSpeed "NORMAL";} else {[_CV03,25] setWaypointSpeed "FULL";};
[_CV03,25] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[14124.243164,12469.976563, 39.960247],0];
[_CV03,26] setWaypointSpeed "NORMAL";
[_CV03,26] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0"];
_wp = _CV03 addWaypoint [[14311.509766,12469.958008, 39.960247],0];
[_CV03,27] setWaypointSpeed "LIMITED";
[_CV03,27] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0"];
_wp = _CV03 addWaypoint [[14308.794922,12366.328125, 39.959999],0];
[_CV03,28] setWaypointSpeed "LIMITED";
[_CV03,28] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,28] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[14436.470703,12173.673828, 55.251003],0];
if (random(10) < 8) then {[_CV03,29] setWaypointSpeed "NORMAL";} else {[_CV03,29] setWaypointSpeed "FULL";};
[_CV03,29] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,29] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[14594.830078,11886.187500, 55.664425],0];
if (random(10) < 8) then {[_CV03,30] setWaypointSpeed "NORMAL";} else {[_CV03,30] setWaypointSpeed "FULL";};
[_CV03,30] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,30] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[14602.050781,11861.805664, 55.818420],0];
[_CV03,31] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0"];
_wp = _CV03 addWaypoint [[15375.985352,13708.376953, 22.848303],0];
if (random(10) < 8) then {[_CV03,32] setWaypointSpeed "NORMAL";} else {[_CV03,32] setWaypointSpeed "FULL";};
[_CV03,32] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,32] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[16971.160156,14114.650391, 13.476641],0];
if (random(10) < 8) then {[_CV03,33] setWaypointSpeed "NORMAL";} else {[_CV03,33] setWaypointSpeed "FULL";};
[_CV03,33] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,33] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[17196.638672,14320.487305, 13.492438],0];
if (random(10) < 8) then {[_CV03,34] setWaypointSpeed "NORMAL";} else {[_CV03,34] setWaypointSpeed "FULL";};
[_CV03,34] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,34] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[18939.802734,13923.541016, 24.748615],0];
if (random(10) < 8) then {[_CV03,35] setWaypointSpeed "NORMAL";} else {[_CV03,35] setWaypointSpeed "FULL";};
[_CV03,35] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,35] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; bushorn action [""useWeapon"",CV03_1,driver(CV03_1),0];"];
_wp = _CV03 addWaypoint [[18887.210938,13840.313477, 31.800177],0];
[_CV03,36] setWaypointStatements ["true", "CV03_1 setFuel 1.0; CV03_1 setDammage 0.0; C3Route = ""Pita-Bagango-Hunapu vv"";"];
_wp = _CV03 addWaypoint [[18924.062500,13897.813477, 25.269590],0];
[_CV03,37] setWaypointTimeout[_minWaiting,_maxWaiting,_midWaiting];
[_CV03,37] setWaypointType "CYCLE";
[_CV03,37] setWaypointStatements ["true", "CV03_1 setFuel 1.0; C3Route = ""Pita-Bagango-Hunapu vv""; CV03_2 moveInDriver CV03_1"];