// This function populates the south of Sahrani or United Sahrani with basic settings:
// - Around 5 civilians in each hamlet or quarter of a city, 2 around a large farm
// - 2 Working buslines: Cedras-Paraiso-Corazol vice versa; and Somato-Iguana-Corazol vice versa
// - 49 empty cars of a fixed type on fixed locations, like a tractor around a farm
// - 9 moving cars of a fixed type
// - Five minutes later this function will also create an additional 9 moving cars of a random type
private ["_res"];

// First a check if this is a MultiPlayer game (in Singleplayer playersNumber is always zero)
if ((playersNumber west + playersNumber east + playersNumber resistance + playersNumber civilian) > 0) then
    {
    // The parameter '5' is the fillfactor. The higher the more population.
    _res = [5] execVM "GNV_Civilians\GNV_S_Populate.sqf";

    if (local server) then {_res = [] execVM "GNV_Civilians\GNV_S_Busses_Create.sqf";};

    // The first parameter '4' is the random chance of the empty car being locked
    // The secomd parameter '1' is the random amount of fuel in the empty car
    if (local server) then
    {
        if (random(10) < 8) then { _res = [4,1] execVM "GNV_Civilians\GNV_S_EmptyCars_Create.sqf"} else { _res = [4,1] execVM "GNV_Civilians\GNV_S_EmptyCars_Create_Random.sqf"};
    };

    if (local server) then {_res = [] execVM "GNV_Civilians\GNV_S_Boats_Create.sqf";};
    if (local server) then {_res = [] execVM "GNV_Civilians\GNV_S_MovingCars_Create.sqf";};
    Sleep 300;
    if (local server) then {_res = [] execVM "GNV_Civilians\GNV_S_MovingCars_Create_Random.sqf";};

    }
else
    {
    // The parameter '5' is the fillfactor. The higher the more population.
    _res = [5] execVM "GNV_Civilians\GNV_S_Populate.sqf";

    _res = [] execVM "GNV_Civilians\GNV_S_Busses_Create.sqf";

    // The first parameter '4' is the random chance of the empty car being locked
    // The secomd parameter '1' is the random amount of fuel in the empty car
    if (random(10) < 8) then { _res = [4,1] execVM "GNV_Civilians\GNV_S_EmptyCars_Create.sqf"} else { _res = [4,1] execVM "GNV_Civilians\GNV_S_EmptyCars_Create_Random.sqf"};

    _res = [] execVM "GNV_Civilians\GNV_S_Boats_Create.sqf";
    _res = [] execVM "GNV_Civilians\GNV_S_MovingCars_Create.sqf";
    Sleep 300;
    _res = [] execVM "GNV_Civilians\GNV_S_MovingCars_Create_Random.sqf";

    };