// This function creates two buslines on the north of Sahrani

// Declaration of private variables
private
["_trg","_marker","_wp","_CV02","_CV02P","_CV04","_CV04P","_numberOfTypes","_civillianTypes","_maxWaiting","_minWaiting","_midWaiting"];

// The minimum time the bus will wait at a busstop.
_minWaiting = 10;
// The maximum time the bus will wait at a busstop.
_maxWaiting = 14;

if (_maxWaiting < _minWaiting+1) then {_maxWaiting = _minWaiting+1;};
_midWaiting = _minWaiting+((_maxWaiting-_minWaiting)/2);

activateAddons["cacharacter","CAWheeled"];

// Civilian types that will be the driver and randomly fill the bus with up to six passengers.
_civillianTypes =
[
"Civilian",
"Civilian2",
"Civilian3",
"Civilian4",
"Civilian5",
"Civilian6",
"Civilian7",
"Civilian8",
"Civilian9",
"Civilian10",
"Civilian11",
"Civilian12",
"Civilian13",
"Civilian14",
"Civilian15",
"Civilian16",
"Civilian17",
"Civilian18",
"Civilian19",
"Civilian20",
"Civilian21"
];
// If you change the civilian types, don't forget to adjust the _numberOfTypes:
_numberOfTypes = 21;

// Creation of a gamelogic vehicle necessary for the horn to work.
bushorn = "logic" createVehicleLocal [0,0,0];

// Busline 2 (CV02 or civilian Vehicle 02) run from Cedras via Paraiso to Corazol and vice versa.
_CV02 = createGroup Civilian;
_CV02P = createGroup Civilian;
CV02_1 =  "Bus_city" createVehicle [7371.692871,8695.706055,4.841310];
CV02_1 setDir 90.000000;
CV02_1 lock false;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV02,"CV02_2 = this; this moveInDriver CV02_1; this allowFleeing 0",0.99,"major"];
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV02P,"CV02_3 = this; this moveInCargo [CV02_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV02P,"CV02_4 = this; this moveInCargo [CV02_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV02P,"CV02_5 = this; this moveInCargo [CV02_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV02P,"CV02_6 = this; this moveInCargo [CV02_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV02P,"CV02_7 = this; this moveInCargo [CV02_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV02P,"CV02_8 = this; this moveInCargo [CV02_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};

// Initialization and call of function to show information about the busline -on the map- at any busstop.
publicVariable "C2Route";
C2Route = "Bus Cedras-Paraiso-Corazol vv";

_marker = createMarkerLocal ["CV02",getPos CV02_1];
"CV02" setMarkerColorLocal "ColorBlue";
"CV02" setMarkerTypeLocal "Dot";
"CV02" setMarkerSizeLocal [0,0];
_trg = createTrigger["EmptyDetector",[ 7407.668945, 8710.332031,  4.924078]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 7411.253906, 8697.427734,  4.924078]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 7775.029785, 9145.233398,  5.099077]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 7818.366699, 9187.564453,  5.099077]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 8036.586426, 9310.125977,  6.364078]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 8087.563965, 9305.956055,  6.364078]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 8238.605469, 8959.311523, 13.101743]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 8253.849609, 8894.156250, 12.034078]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9242.189453, 8210.391602,164.044067]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9257.470703, 8162.294922,164.044067]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9786.356445, 8688.003906,171.625320]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9809.816406, 8684.126953,171.710358]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10305.119141, 9404.999023,123.089081]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10298.740234, 9448.153320,123.049080]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10485.912109, 9629.498047,123.089081]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10496.202148, 9732.804688,123.049080]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10902.398438,10615.574219, 20.612644]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10901.917969,10630.297852, 20.638769]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[11736.577148,10213.802734, 28.605398]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[11780.353516,10187.188477, 28.355991]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12861.004883, 8810.753906, 19.616304]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12944.712891, 8855.324219, 19.549080]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV02"" setMarkerPosLocal getPos CV02_1;  ""CV02"" setMarkerSizeLocal [0.5,0.5]; ""CV02"" setMarkerTextLocal format[""%1"",C2Route];","""CV02"" setMarkerSizeLocal [0,0]; ""CV02"" setMarkerTextLocal """";"];

// Definition of waypoints.
_wp = _CV02 addWaypoint [[7410.398926,8700.286133,4.860000],0];
[_CV02,1] setWaypointCombatmode "BLUE";
[_CV02,1] setWaypointSpeed "NORMAL";
[_CV02,1] setWaypointBehaviour "CARELESS";
[_CV02,1] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 7774.494141, 9149.905273,  4.995000],0];
[_CV02, 2] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,2] setWaypointSpeed "NORMAL";} else {[_CV02,2] setWaypointSpeed "FULL";};
[_CV02, 2] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 8087.377930, 9308.911133,  6.300000],0];
[_CV02, 3] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,3] setWaypointSpeed "NORMAL";} else {[_CV02,3] setWaypointSpeed "FULL";};
[_CV02, 3] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 8245.909180, 9012.654297, 15.277516],0];
if (random(10) < 8) then {[_CV02,4] setWaypointSpeed "NORMAL";} else {[_CV02,4] setWaypointSpeed "FULL";};
[_CV02, 4] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 8242.998047, 8955.990234, 12.880712],0];
[_CV02, 5] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,5] setWaypointSpeed "NORMAL";} else {[_CV02,5] setWaypointSpeed "FULL";};
[_CV02, 5] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 8113.690918, 8897.332031,  9.588747],0];
if (random(10) < 8) then {[_CV02,6] setWaypointSpeed "NORMAL";} else {[_CV02,6] setWaypointSpeed "FULL";};
[_CV02, 6] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 9248.699219, 8222.527344,163.979996],0];
[_CV02, 7] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,7] setWaypointSpeed "NORMAL";} else {[_CV02,7] setWaypointSpeed "FULL";};
[_CV02, 7] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 9808.522461, 8687.140625,171.655487],0];
[_CV02, 8] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,8] setWaypointSpeed "NORMAL";} else {[_CV02,8] setWaypointSpeed "FULL";};
[_CV02, 8] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[10302.936523, 9405.828125,122.985001],0];
[_CV02, 9] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,9] setWaypointSpeed "NORMAL";} else {[_CV02,9] setWaypointSpeed "FULL";};
[_CV02, 9] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[10357.185547, 9583.700195,123.328003],0];
if (random(10) < 8) then {[_CV02,10] setWaypointSpeed "NORMAL";} else {[_CV02,10] setWaypointSpeed "FULL";};
[_CV02,10] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[10485.092773, 9632.789063,122.985001],0];
[_CV02,11] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,11] setWaypointSpeed "NORMAL";} else {[_CV02,11] setWaypointSpeed "FULL";};
[_CV02,11] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[10516.435547, 9640.918945,122.985001],0];
if (random(10) < 8) then {[_CV02,12] setWaypointSpeed "NORMAL";} else {[_CV02,12] setWaypointSpeed "FULL";};
[_CV02,12] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[10902.341797,10619.187500, 20.393902],0];
[_CV02,13] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,13] setWaypointSpeed "NORMAL";} else {[_CV02,13] setWaypointSpeed "FULL";};
[_CV02,13] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[11739.925781,10216.405273, 28.500000],0];
[_CV02,14] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,14] setWaypointSpeed "NORMAL";} else {[_CV02,14] setWaypointSpeed "FULL";};
[_CV02,14] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[12859.628906, 8814.818359, 19.581686],0];
[_CV02,15] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,15] setWaypointSpeed "NORMAL";} else {[_CV02,15] setWaypointSpeed "FULL";};
[_CV02,15] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[12998.646484, 8848.365234, 19.980000],0];
if (random(10) < 8) then {[_CV02,16] setWaypointSpeed "NORMAL";} else {[_CV02,16] setWaypointSpeed "FULL";};
[_CV02,16] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[13105.916992, 8848.450195, 19.833561],0];
[_CV02,17] setWaypointSpeed "LIMITED";
[_CV02,17] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[13190.198242, 8848.639648, 19.485001],0];
[_CV02,18] setWaypointSpeed "LIMITED";
[_CV02,18] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; C2Route = ""Bus Corazol-Paraiso-Cedras vv"";"];
_wp = _CV02 addWaypoint [[13189.693359, 8755.213867, 12.960000],0];
[_CV02,19] setWaypointSpeed "LIMITED";
[_CV02,19] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; C2Route = ""Bus Corazol-Paraiso-Cedras vv"";"];
_wp = _CV02 addWaypoint [[13149.503906, 8754.661133, 11.970249],0];
[_CV02,20] setWaypointSpeed "LIMITED";
_wp = _CV02 addWaypoint [[13013.932617, 8692.960938, 14.726823],0];
[_CV02,21] setWaypointSpeed "NORMAL";
[_CV02,21] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[12966.819336, 8848.085938, 19.653797],0];
if (random(10) < 8) then {[_CV02,22] setWaypointSpeed "NORMAL";} else {[_CV02,22] setWaypointSpeed "FULL";};
[_CV02,22] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[12944.996094, 8851.070313, 19.485001],0];
[_CV02,23] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,23] setWaypointSpeed "NORMAL";} else {[_CV02,23] setWaypointSpeed "FULL";};
[_CV02,23] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[11776.888672,10184.455078, 28.291912],0];
[_CV02,24] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,24] setWaypointSpeed "NORMAL";} else {[_CV02,24] setWaypointSpeed "FULL";};
[_CV02,24] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[10901.921875,10626.856445, 20.432640],0];
[_CV02,25] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,25] setWaypointSpeed "NORMAL";} else {[_CV02,25] setWaypointSpeed "FULL";};
[_CV02,25] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[10500.152344, 9733.193359,122.985001],0];
[_CV02,26] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,26] setWaypointSpeed "NORMAL";} else {[_CV02,26] setWaypointSpeed "FULL";};
[_CV02,26] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[10516.952148, 9640.162109,122.985001],0];
if (random(10) < 8) then {[_CV02,27] setWaypointSpeed "NORMAL";} else {[_CV02,27] setWaypointSpeed "FULL";};
[_CV02,27] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[10303.189453, 9448.183594,122.985001],0];
[_CV02,28] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,28] setWaypointSpeed "NORMAL";} else {[_CV02,28] setWaypointSpeed "FULL";};
[_CV02,28] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[10146.599609, 9316.692383,124.069939],0];
if (random(10) < 8) then {[_CV02,29] setWaypointSpeed "NORMAL";} else {[_CV02,29] setWaypointSpeed "FULL";};
[_CV02,29] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 9785.421875, 8682.757813,171.531799],0];
[_CV02,30] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,30] setWaypointSpeed "NORMAL";} else {[_CV02,30] setWaypointSpeed "FULL";};
[_CV02,30] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 9262.632813, 8321.271484,163.979996],0];
if (random(10) < 8) then {[_CV02,31] setWaypointSpeed "NORMAL";} else {[_CV02,31] setWaypointSpeed "FULL";};
[_CV02,31] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 9248.003906, 8206.683594,163.979996],0];
[_CV02,32] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,32] setWaypointSpeed "NORMAL";} else {[_CV02,32] setWaypointSpeed "FULL";};
[_CV02,32] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 9255.431641, 8091.525879,163.204254],0];
if (random(10) < 8) then {[_CV02,33] setWaypointSpeed "NORMAL";} else {[_CV02,33] setWaypointSpeed "FULL";};
[_CV02,33] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 9248.272461, 8080.787109,163.183304],0];
if (random(10) < 8) then {[_CV02,34] setWaypointSpeed "NORMAL";} else {[_CV02,34] setWaypointSpeed "FULL";};
[_CV02,34] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 9251.652344, 8115.984863,163.907730],0];
if (random(10) < 8) then {[_CV02,35] setWaypointSpeed "NORMAL";} else {[_CV02,35] setWaypointSpeed "FULL";};
[_CV02,35] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 9252.792969, 8165.205078,163.979996],0];
[_CV02,36] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,36] setWaypointSpeed "NORMAL";} else {[_CV02,36] setWaypointSpeed "FULL";};
[_CV02,36] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 9250.015625, 8220.941406,163.979996],0];
if (random(10) < 8) then {[_CV02,37] setWaypointSpeed "NORMAL";} else {[_CV02,37] setWaypointSpeed "FULL";};
[_CV02,37] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 8723.878906, 8316.544922,152.186920],0];
if (random(10) < 8) then {[_CV02,38] setWaypointSpeed "NORMAL";} else {[_CV02,38] setWaypointSpeed "FULL";};
[_CV02,38] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 8037.995117, 8892.846680,  9.525682],0];
if (random(10) < 8) then {[_CV02,39] setWaypointSpeed "NORMAL";} else {[_CV02,39] setWaypointSpeed "FULL";};
[_CV02,39] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 8113.010254, 8897.328125,  9.547503],0];
if (random(10) < 8) then {[_CV02,40] setWaypointSpeed "NORMAL";} else {[_CV02,40] setWaypointSpeed "FULL";};
[_CV02,40] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 8196.722656, 8866.347656, 11.970000],0];
if (random(10) < 8) then {[_CV02,41] setWaypointSpeed "NORMAL";} else {[_CV02,41] setWaypointSpeed "FULL";};
[_CV02,41] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 8248.944336, 8894.213867, 11.970000],0];
[_CV02,42] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,42] setWaypointSpeed "NORMAL";} else {[_CV02,42] setWaypointSpeed "FULL";};
[_CV02,42] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 8246.825195, 9012.657227, 15.322865],0];
if (random(10) < 8) then {[_CV02,43] setWaypointSpeed "NORMAL";} else {[_CV02,43] setWaypointSpeed "FULL";};
[_CV02,43] setWaypointStatements ["true", "CV02_1 setFuel 1.0;  CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 8037.187988, 9306.782227,  6.300000],0];
if (random(10) < 8) then {[_CV02,44] setWaypointSpeed "NORMAL";} else {[_CV02,44] setWaypointSpeed "FULL";};
[_CV02,44] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV02,44] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 7818.134766, 9182.231445,  4.995000],0];
[_CV02,45] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,45] setWaypointSpeed "NORMAL";} else {[_CV02,45] setWaypointSpeed "FULL";};
[_CV02,45] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 7408.468262, 8706.453125,  4.860000],0];
[_CV02,46] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV02,46] setWaypointSpeed "NORMAL";} else {[_CV02,46] setWaypointSpeed "FULL";};
[_CV02,46] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; bushorn action [""useWeapon"",CV02_1,driver(CV02_1),0];"];
_wp = _CV02 addWaypoint [[ 7358.827148, 8696.316406,  4.820899],0];
if (random(10) < 8) then {[_CV02,47] setWaypointSpeed "NORMAL";} else {[_CV02,47] setWaypointSpeed "LIMITED";};
[_CV02,47] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 7360.907715, 8657.470703,  4.860000],0];
if (random(10) < 8) then {[_CV02,48] setWaypointSpeed "NORMAL";} else {[_CV02,48] setWaypointSpeed "LIMITED";};
[_CV02,48] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 7329.275391, 8645.677734,  4.860000],0];
if (random(10) < 8) then {[_CV02,49] setWaypointSpeed "NORMAL";} else {[_CV02,49] setWaypointSpeed "LIMITED";};
[_CV02,49] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 7358.827148, 8644.568359,  4.860000],0];
if (random(10) < 8) then {[_CV02,50] setWaypointSpeed "NORMAL";} else {[_CV02,50] setWaypointSpeed "LIMITED";};
[_CV02,50] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0"];
_wp = _CV02 addWaypoint [[ 7360.803223, 8693.404297,  4.830089],0];
if (random(10) < 8) then {[_CV02,51] setWaypointSpeed "NORMAL";} else {[_CV02,51] setWaypointSpeed "LIMITED";};
[_CV02,51] setWaypointStatements ["true", "CV02_1 setFuel 1.0; CV02_1 setDammage 0.0; C2Route = ""Bus Cedras-Paraiso-Corazol vv"";"];
_wp = _CV02 addWaypoint [[ 7409.658203, 8700.128906,  4.860000],0];
[_CV02,52] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV02,52] setWaypointType "CYCLE";
[_CV02,52] setWaypointSpeed "NORMAL";
[_CV02,52] setWaypointStatements ["true","C2Route = ""Bus Cedras-Paraiso-Corazol vv"";"];


// Busline 4 (CV04 or civilian Vehicle 04) runs from Somato via Iguana to Corazol and vice versa.
_CV04 = createGroup Civilian;
_CV04P = createGroup Civilian;
CV04_1 =  "Bus_city" createVehicle [9250.149414,8254.791992,163.979996];
CV04_1 setDir 180.000000;
CV04_1 lock false;
format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))]  createUnit[[0,0,30],_CV04,"CV04_2 = this; this moveInDriver CV04_1; this allowFleeing 0",0.99,"major"];
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV04P,"CV04_3 = this; this moveInCargo [CV04_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV04P,"CV04_4 = this; this moveInCargo [CV04_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV04P,"CV04_5 = this; this moveInCargo [CV04_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV04P,"CV04_6 = this; this moveInCargo [CV04_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV04P,"CV04_7 = this; this moveInCargo [CV04_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};
if (random(10) < 8) then {format["%1", _civillianTypes select (round(random(_numberOfTypes-1)))] createUnit[[0,0,30],_CV04P,"CV04_8 = this; this moveInCargo [CV04_1,ceil(random(13))]; this allowFleeing 0",0.2,"private"];};

// Initialization and call of function to show information about the busline -on the map- at any busstop.
publicVariable "C4Route";
C4Route = "Bus Somato-Iguana-Corazol vv";

_marker = createMarkerLocal ["CV04",getPos CV04_1];
"CV04" setMarkerColorLocal "ColorBlue";
"CV04" setMarkerTypeLocal "Dot";
"CV04" setMarkerSizeLocal [0,0];
_trg = createTrigger["EmptyDetector",[ 9241.786133, 8210.424805,164.044067]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9257.646484, 8161.318359,164.044067]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 8943.924805, 7776.823730,171.643906]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 8971.248047, 7775.200195,171.158981]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9433.342773, 5976.518555, 44.008770]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9449.507813, 5976.823730, 43.671963]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9798.260742, 5339.240723, 26.975552]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[ 9812.218750, 5346.220703, 26.393307]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10780.054688, 5037.674805, 10.054077]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[10847.714844, 5023.278809, 10.054077]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[11216.241211, 5264.330078,  5.788301]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[11226.336914, 5275.464844,  5.780128]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[11439.756836, 5901.284180, 21.084307]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[11422.402344, 5913.425293, 20.459770]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[11535.467773, 6119.443359, 20.894255]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[11605.751953, 6156.257324, 16.092100]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12324.545898, 6901.297852, 23.175436]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12323.386719, 7089.111328,  8.691751]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12376.759766, 7330.640625, 19.808067]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12407.529297, 7351.374512, 19.549080]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12944.458984, 8855.040039, 19.549080]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];
_trg = createTrigger["EmptyDetector",[12861.083984, 8810.302734, 19.616304]]; _trg setTriggerArea[3,3,0,false]; _trg setTriggerActivation["ANY","PRESENT",true]; _trg setTriggerStatements["this","""CV04"" setMarkerPosLocal getPos CV04_1;  ""CV04"" setMarkerSizeLocal [0.5,0.5]; ""CV04"" setMarkerTextLocal format[""%1"",C4Route];","""CV04"" setMarkerSizeLocal [0,0]; ""CV04"" setMarkerTextLocal """";"];

// Definition of waypoints.
_wp = _CV04 addWaypoint [[9246.529297,8211.339844,163.979996],0];
[_CV04,1] setWaypointCombatmode "BLUE";
[_CV04,1] setWaypointSpeed "NORMAL";
[_CV04,1] setWaypointBehaviour "CARELESS";
[_CV04,1] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[ 8943.970703, 7773.452148,171.620865],0];
if (random(10) < 8) then {[_CV04,2] setWaypointSpeed "NORMAL";} else {[_CV04,2] setWaypointSpeed "FULL";};
[_CV04, 2] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV04, 2] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[ 9447.081055, 6214.000488, 54.241570],0];
if (random(10) < 8) then {[_CV04,3] setWaypointSpeed "NORMAL";} else {[_CV04,3] setWaypointSpeed "FULL";};
[_CV04, 3] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[ 9437.115234, 5978.322754, 43.849899],0];
[_CV04, 4] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,4] setWaypointSpeed "NORMAL";} else {[_CV04,4] setWaypointSpeed "FULL";};
[_CV04, 4] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[ 9801.612305, 5341.573242, 26.747963],0];
[_CV04, 5] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,5] setWaypointSpeed "NORMAL";} else {[_CV04,5] setWaypointSpeed "FULL";};
[_CV04, 5] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[10363.433594, 5243.403809, 18.959698],0];
if (random(10) < 8) then {[_CV04,6] setWaypointSpeed "NORMAL";} else {[_CV04,6] setWaypointSpeed "FULL";};
[_CV04, 6] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[10691.337891, 5033.850098,  9.990000],0];
if (random(10) < 8) then {[_CV04,7] setWaypointSpeed "NORMAL";} else {[_CV04,7] setWaypointSpeed "FULL";};
[_CV04, 7] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[10847.038086, 5027.793945,  9.990000],0];
[_CV04, 8] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,8] setWaypointSpeed "NORMAL";} else {[_CV04,8] setWaypointSpeed "FULL";};
[_CV04, 8] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[11258.261719, 5257.907715,  5.985000],0];
if (random(10) < 8) then {[_CV04,9] setWaypointSpeed "NORMAL";} else {[_CV04,9] setWaypointSpeed "FULL";};
[_CV04, 9] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[11225.222656, 5272.067871,  5.733984],0];
[_CV04,10] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,10] setWaypointSpeed "NORMAL";} else {[_CV04,10] setWaypointSpeed "FULL";};
[_CV04,10] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[11202.803711, 5685.083008, 20.541803],0];
[_CV04,11] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(11) < 8) then {[_CV04,11] setWaypointSpeed "NORMAL";} else {[_CV04,11] setWaypointSpeed "FULL";};
[_CV04,11] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[11431.829102, 5887.259766, 20.969999],0];
if (random(10) < 8) then {[_CV04,12] setWaypointSpeed "NORMAL";} else {[_CV04,12] setWaypointSpeed "FULL";};
[_CV04,12] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[11435.037109, 5901.045898, 20.918215],0];
[_CV04,13] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,13] setWaypointSpeed "NORMAL";} else {[_CV04,13] setWaypointSpeed "FULL";};
[_CV04,13] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[11431.333008, 5964.410156, 19.979786],0];
[_CV04,14] setWaypointSpeed "LIMITED";
[_CV04,14] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[11460.260742, 6127.345215, 23.659389],0];
[_CV04,15] setWaypointSpeed "LIMITED";
[_CV04,15] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[11601.456055, 6158.331543, 15.875268],0];
[_CV04,16] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV04,16] setWaypointSpeed "NORMAL";
[_CV04,16] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
// First drive east bridge at Dolores
_wp = _CV04 addWaypoint [[11607.934570, 6208.444824, 12.960000],0];
[_CV04,17] setWaypointSpeed "NORMAL";
[_CV04,17] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[12296.190430, 6782.981934, 23.894138],0];
[_CV04,18] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[12320.415039, 6902.377930, 22.832085],0];
[_CV04,19] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,19] setWaypointSpeed "NORMAL";} else {[_CV04,19] setWaypointSpeed "FULL";};
[_CV04,19] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[12403.354492, 7353.925781, 19.485001],0];
[_CV04,20] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,20] setWaypointSpeed "NORMAL";} else {[_CV04,20] setWaypointSpeed "FULL";};
[_CV04,20] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[13013.603516, 8491.493164, 23.418646],0];
if (random(10) < 8) then {[_CV04,21] setWaypointSpeed "NORMAL";} else {[_CV04,21] setWaypointSpeed "FULL";};
[_CV04,21] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[12966.440430, 8848.755859, 19.644402],0];
if (random(10) < 8) then {[_CV04,22] setWaypointSpeed "NORMAL";} else {[_CV04,22] setWaypointSpeed "FULL";};
[_CV04,22] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[12945.688477, 8851.178711, 19.485001],0];
[_CV04,23] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,23] setWaypointSpeed "NORMAL";} else {[_CV04,23] setWaypointSpeed "FULL";};
[_CV04,23] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[12737.304688, 8786.846680, 17.000420],0];
if (random(10) < 8) then {[_CV04,24] setWaypointSpeed "NORMAL";} else {[_CV04,24] setWaypointSpeed "FULL";};
[_CV04,24] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; C4Route = ""Bus Corazol-Iguana-Somato vv"";"];
_wp = _CV04 addWaypoint [[12502.033203, 8496.841797, 29.227121],0];
if (random(10) < 8) then {[_CV04,25] setWaypointSpeed "NORMAL";} else {[_CV04,25] setWaypointSpeed "FULL";};
[_CV04,25] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; C4Route = ""Bus Corazol-Iguana-Somato vv"";"];
_wp = _CV04 addWaypoint [[12732.773438, 8054.719238, 43.928612],0];
if (random(10) < 8) then {[_CV04,26] setWaypointSpeed "NORMAL";} else {[_CV04,26] setWaypointSpeed "FULL";};
[_CV04,26] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[12380.297852, 7329.016113, 19.719421],0];
if (random(10) < 8) then {[_CV04,27] setWaypointSpeed "NORMAL";} else {[_CV04,27] setWaypointSpeed "FULL";};
[_CV04,27] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV04,27] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[12328.403320, 7089.046875,  8.531805],0];
if (random(10) < 8) then {[_CV04,28] setWaypointSpeed "NORMAL";} else {[_CV04,28] setWaypointSpeed "FULL";};
[_CV04,28] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV04,28] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[12294.765625, 6783.270996, 23.866043],0];
if (random(10) < 8) then {[_CV04,29] setWaypointSpeed "NORMAL";} else {[_CV04,29] setWaypointSpeed "FULL";};
[_CV04,29] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
// Return drive east bridge at Dolores
_wp = _CV04 addWaypoint [[11607.160156, 6208.495117, 12.960000],0];
[_CV04,30] setWaypointSpeed "NORMAL";
[_CV04,30] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[11535.436523, 6114.856934, 20.617182],0];
if (random(10) < 8) then {[_CV04,31] setWaypointSpeed "LIMITED";} else {[_CV04,31] setWaypointSpeed "NORMAL";};
[_CV04,31] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV04,31] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[11459.540039, 6127.353516, 23.656490],0];
if (random(10) < 8) then {[_CV04,32] setWaypointSpeed "LIMITED";} else {[_CV04,32] setWaypointSpeed "NORMAL";};
[_CV04,32] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[11427.540039, 5913.472656, 20.303091],0];
[_CV04,33] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV04,33] setWaypointSpeed "LIMITED";
[_CV04,33] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[11202.065430, 5685.079102, 20.534998],0];
[_CV04,34] setWaypointSpeed "NORMAL";
[_CV04,34] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[11216.333008, 5267.357910,  5.691925],0];
[_CV04,35] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,35] setWaypointSpeed "NORMAL";} else {[_CV04,35] setWaypointSpeed "FULL";};
[_CV04,35] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[11258.044922, 5257.144531,  5.985000],0];
if (random(10) < 8) then {[_CV04,36] setWaypointSpeed "NORMAL";} else {[_CV04,36] setWaypointSpeed "FULL";};
[_CV04,36] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[10779.763672, 5034.002441,  9.990000],0];
[_CV04,37] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,37] setWaypointSpeed "NORMAL";} else {[_CV04,37] setWaypointSpeed "FULL";};
[_CV04,37] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[10692.061523, 5033.894043,  9.990000],0];
if (random(10) < 8) then {[_CV04,38] setWaypointSpeed "NORMAL";} else {[_CV04,38] setWaypointSpeed "FULL";};
[_CV04,38] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[10362.782227, 5243.715820, 18.923580],0];
if (random(10) < 8) then {[_CV04,39] setWaypointSpeed "NORMAL";} else {[_CV04,39] setWaypointSpeed "FULL";};
[_CV04,39] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[ 9808.773438, 5344.234863, 26.486450],0];
[_CV04,40] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
if (random(10) < 8) then {[_CV04,40] setWaypointSpeed "NORMAL";} else {[_CV04,40] setWaypointSpeed "FULL";};
[_CV04,40] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[ 9446.010742, 5976.605957, 43.669170],0];
if (random(10) < 8) then {[_CV04,41] setWaypointSpeed "NORMAL";} else {[_CV04,41] setWaypointSpeed "FULL";};
[_CV04,41] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV04,41] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[ 9447.791992, 6214.008789, 54.279633],0];
if (random(10) < 8) then {[_CV04,42] setWaypointSpeed "NORMAL";} else {[_CV04,42] setWaypointSpeed "FULL";};
[_CV04,42] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[ 8968.406250, 7779.022461,170.936035],0];
if (random(10) < 8) then {[_CV04,43] setWaypointSpeed "NORMAL";} else {[_CV04,43] setWaypointSpeed "FULL";};
[_CV04,43] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV04,43] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[ 9253.195313, 8162.239258,163.979996],0];
if (random(10) < 8) then {[_CV04,44] setWaypointSpeed "NORMAL";} else {[_CV04,44] setWaypointSpeed "FULL";};
[_CV04,44] setWaypointTimeout[(_minWaiting),(_maxWaiting),(_midWaiting)];
[_CV04,44] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; bushorn action [""useWeapon"",CV04_1,driver(CV04_1),0];"];
_wp = _CV04 addWaypoint [[ 9250.353516, 8222.133789,163.979996],0];
if (random(10) < 8) then {[_CV04,45] setWaypointSpeed "NORMAL";} else {[_CV04,45] setWaypointSpeed "FULL";};
[_CV04,45] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[ 9131.052734, 8221.826172,163.979996],0];
if (random(10) < 8) then {[_CV04,46] setWaypointSpeed "NORMAL";} else {[_CV04,46] setWaypointSpeed "FULL";};
[_CV04,46] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[ 9131.649414, 8320.261719,163.979996],0];
if (random(10) < 8) then {[_CV04,47] setWaypointSpeed "NORMAL";} else {[_CV04,47] setWaypointSpeed "FULL";};
[_CV04,47] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0"];
_wp = _CV04 addWaypoint [[ 9261.908203, 8321.252930,163.979996],0];
if (random(10) < 8) then {[_CV04,48] setWaypointSpeed "NORMAL";} else {[_CV04,48] setWaypointSpeed "FULL";};
[_CV04,48] setWaypointStatements ["true", "CV04_1 setFuel 1.0; CV04_1 setDammage 0.0; C4Route = ""Bus Somato-Iguana-Corazol vv"";"];
_wp = _CV04 addWaypoint [[ 9246.646484, 8212.139648,163.979996],0];
[_CV04,49] setWaypointType "CYCLE";
[_CV04,49] setWaypointSpeed "NORMAL";
[_CV04,49] setWaypointStatements ["true","C4Route = ""Bus Somato-Iguana-Corazol vv"";"];